RubyGems.org

settler

1.2.4

Settler can be used for defining application wide settings in Rails. Settings are loaded from a YAML file and stored in the database using ActiveRecord to allow users to update settings on the fly. The YAML configuration allows you to not only specify defaults, but setting value validations and typecasts as well!

installgem install settler -v 1.2.4
Authors

Reinier de Lange

13,920 total downloads 768 for this version
Owners

67364c084713f82d505a52316d90dabd

Gemfile
gem 'settler', '~> 1.2.4'
Versions
  1. 2.0.1 August 12, 2013 (16.5 KB)
  2. 2.0.0 August 12, 2013 (16.5 KB)
  3. 1.2.4 December 17, 2012 (246 KB)
  4. 1.2.3 April 18, 2012 (207 KB)
  5. 1.2.2 July 26, 2011 (14.5 KB)
Show all versions (13 total)
Runtime Dependencies
  1. rails >= 0
Development Dependencies
  1. sqlite3 >= 0